<?php
/*
Plugin Name: Enhanced Search Box
Plugin URI: http://labs.jcow.com/plugins/enhanced-search-box/
Description: Add extra functionality to default search box using jQuery.
Version: 0.5.4
Author: Jake Snyder
Author URI: http://Jupitercow.com/
Disclaimer: Use at your own risk. No warranty expressed or implied is provided.
*/

/*
Copyright 2009 Jupitercow (http://Jupitercow.com/)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

include (dirname(__FILE__) .'/options.php');
define('PLUGIN', 'enhanced-search-box');

/* Activation */
register_activation_hook(__FILE__, 'enhanced_sb_set_options');

/* Deactivation */
register_deactivation_hook(__FILE__, 'enhanced_sb_unset_options');

/* Activation/Deactivation Functions
-------------------------------------------------------------------------------------- */
function enhanced_sb_set_options(){
	add_option("enhanced_sb_default",'Search...');
	add_option("enhanced_sb_add_jquery",1);
}
function enhanced_sb_unset_options(){
	/*delete_option("enhanced_sb_default");*/
}

/* Load support files into the page head
-------------------------------------------------------------------------------------- */
// Make sure jQuery is loaded
add_action('admin_init', 'enhanced_sb_scripts');
	if (! function_exists('enhanced_sb_scripts') ) {
		function enhanced_sb_scripts() {
			if (! is_admin() ) wp_enqueue_script('jquery');
		}
	}

// Load JS into wp_head()
add_action('wp_head', 'enhanced_sb_add_js');
	function enhanced_sb_add_js(){
		$enhanced_sb_default = get_option('enhanced_sb_default');
		?> 
<!-- begin Enhanced Search Box -->
<script type="text/javascript">
$(document).ready(function(){
	var searchTextDefault = "<?php echo $enhanced_sb_default; ?>";
	var searchBox         = $("#s");
	var searchBoxMain     = $("#content .s");
	
	searchBox.attr("value", searchTextDefault);
	searchBoxMain.attr("value", searchTextDefault);
	searchBoxMain.focus(searchFocus);
	searchBoxMain.blur(searchBlur);
	searchBox.focus(searchFocus);
	searchBox.blur(searchBlur);
	
	function searchFocus() {
		$(this).addClass("active");
		if($(this).attr("value") == searchTextDefault) $(this).attr("value", "");
	};
	function searchBlur() {
		$(this).removeClass("active");
		if($(this).attr("value") == "") $(this).attr("value", searchTextDefault);
	};
});
</script>
<!-- end Enhanced Search Box -->
		<?php
	}